// -*- arduino -*-
// Meissner configuration file for the Adafruit Circuit Express Playground
// microprocessor.
//
// Copyright (C) 2013-2022, Michael Meissner (arduino@the-meissners.org)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#ifndef _MEISSNER_CONFIG_CIRCUITEXPRESS_H_
#define _MEISSNER_CONFIG_CIRCUITEXPRESS_H_	1

#define PROCESSOR_SAMD_ZERO			1	// circuitexpress, hallowing
#define PROCESSOR_CIRCUIT_PLAYGROUND_EXPRESS	1
#define PROCESSOR_CPE				1	// shorter name
#define PROCESSOR_NAME				"Adafruit Circuit Playground Express"

#define PIN_SLIDE_SWITCH			1	// slide switch
#define PIN_BUTTON_A				4	// Button A
#define PIN_BUTTON_B				5	// Button B
#define PIN_INTERNAL_NEOPIXEL			8	// internal neopixels
#define PIN_INTERNAL_NEOPIXEL_NUM		10	// internal neopixels
#define PIN_EXTERNAL_NEOPIXEL			A1	// external neopixels (Circuit Playground Express Crickit)

#ifndef PIN_NEOPIXEL
#define PIN_NEOPIXEL				PIN_INTERNAL_NEOPIXEL	// old name
#endif

#ifndef PIN_NEOPIXEL2
#define PIN_NEOPIXEL2				PIN_EXTERNAL_NEOPIXEL	// old name
#endif

#ifndef PIN_LED
#define PIN_LED					13	// Pin the built-in LED is on
#endif

#ifndef PIN_IR_TX
#define PIN_IR_TX				25	// IR transmit
#endif

#ifndef PIN_IR_RX
#define PIN_IR_RX				26	// IR receive
#endif

#define PIN_DAC					DAC0	// DAT speaker
#define PIN_SDA					SDA	// Pin for i2c SDC
#define PIN_SCL					SCL	// Pin for i2c SCL
#define PIN_LIGHT_SENSOR			A8	// Light sensor
#define PIN_TEMP_SENSOR				A9	// Temperture sensor

#define PIN_BUTTON				PIN_BUTTON_A

#define USE_SERIAL_OUTPUT			1	// We can do output to Serial
#define USE_EEPROM				0	// No eeprom
#define USE_EEPROM_LIB				0	// No eeprom

#endif	/* _MEISSNER_CONFIG_CIRCUITEXPRESS_H_  */


// HISTORY
// $Log: Meissner_Config_CircuitExpress.h,v $
// Revision 1.7  2022/03/14 02:10:47  michaelmeissner
// Add PIN_INTERNAL_NEOPIXEL_NUM.
//
// Revision 1.6  2022/03/14 01:54:55  michaelmeissner
// PIN_NEOPIXEL -> PIN_INTERNAL_NEOPIXEL; PIN_NEOPIXEL2 -> PIN_EXTERNAL_NEOPIXEL
//
// Revision 1.5  2022/01/18 17:17:17  michaelmeissner
// Update copyright year.
//
// Revision 1.4  2020/01/28 04:55:00  michaelmeissner
// Update copyright year.
//
// Revision 1.3  2019/01/14 02:13:03  michaelmeissner
// Update copyright.
//
// Revision 1.2  2019/01/06 05:31:58  michaelmeissner
// Update SDA, SCL, DAC.
//
// Revision 1.1  2018/12/27 06:08:01  michaelmeissner
// Initial version.
//
