// -*- arduino -*-
// Meissner configuration file for DFRobot ESP32-C3 (and other ESP32-C3 DEV platforms)
//
// Copyright (C) 2013-2022, Michael Meissner (arduino@the-meissners.org)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#ifndef _MEISSNER_CONFIG_ESP32_C3_H_
#define	_MEISSNER_CONFIG_ESP32_C3_H_	1

// Identify the processor
#define PROCESSOR_ESP32_C3		1
#define PROCESSOR_NAME			"ESP32-C3 dev board"

#define PIN_SDA				SDA		// Pin for I2C SDC
#define PIN_SCL				SCL		// Pin for I2C SCL

// If hardware USB serial support is configured, assume we can use the serial terminal
#if ARDUINO_HW_CDC_ON_BOOT
#define USE_SERIAL_OUTPUT		1		// We can do output to Serial
#endif

#define USE_EEPROM			0		// No eeprom
#define USE_EEPROM_LIB			0		// No eeprom

#define PIN_BUTTON			-1		// No button for now
#define PIN_DAC				-1		// No DAC support

// We use the RX pin because it is adjacent to the ground and VIN pins
#define PIN_EXTERNAL_NEOPIXEL		20		// RX pin

#ifndef PIN_LED
#define PIN_LED				10		// Built-in LED
#endif
#endif	/* _MEISSNER_CONFIG_ESP32_C3_H_ */


// HISTORY
// $Log: Meissner_Config_ESP32_C3.h,v $
// Revision 1.2  2022/04/12 03:16:24  michaelmeissner
// Simplify processor name.
//
// Revision 1.1  2022/04/12 03:13:50  michaelmeissner
// Initial version.
//
