// -*- arduino -*-
//
// Meissner configuration file for the Adafruit Feather M4 Express
// microprocesor.
//
// Copyright (C) 2013-2022, Michael Meissner (arduino@the-meissners.org)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#ifndef _MEISSNER_CONFIG_FEATHER_M4_H_
#define _MEISSNER_CONFIG_FEATHER_M4_H_		1
#define PROCESSOR_SAMD_M4			1			// feather express M4
#define PROCESSOR_NAME				"Adafruit Feather Express M4"

#define PIN_INTERNAL_NEOPIXEL			8			// internal single neopixel
#define PIN_INTERNAL_NEOPIXEL_NUM		1			// 1 internal neopixel

// Common feather SAMD definitions.
#include "Meissner_Config_Featherwing_SAMD.h"

#endif	/* _MEISSNER_CONFIG_FEATHER_M4_H_  */


// HISTORY
// $Log: Meissner_Config_Feather_M4.h,v $
// Revision 1.13  2022/03/14 02:13:03  michaelmeissner
// PIN_NEOPIXEL -> PIN_INTERNAL_NEOPIXEL; Add PIN_INTERNAL_NEOPIXEL_NUM; Move setting external neopixel to featherwing common.
//
// Revision 1.12  2022/01/18 17:19:56  michaelmeissner
// Update copyright year; Switch to use featherwing prop neopixel.
//
// Revision 1.11  2020/01/28 04:55:38  michaelmeissner
// Update copyright year.
//
// Revision 1.10  2019/11/07 06:00:16  michaelmeissner
// Don't define PIN_NEOPIXEL if it is already defined.
//
// Revision 1.9  2019/01/14 02:13:50  michaelmeissner
// Update copyright.
//
// Revision 1.8  2019/01/06 14:28:28  michaelmeissner
// PIN_NEOPIXEL2 -> PIN_NEOPIXEL_SINGLE
//
// Revision 1.7  2019/01/06 05:29:51  michaelmeissner
// Move common featherwing stuff to separate file.
//
// Revision 1.6  2019/01/06 05:22:40  michaelmeissner
// Spacing; Correct DAC, SDA, SCL
//
// Revision 1.5  2019/01/06 05:18:10  michaelmeissner
// Add featherwing SCK, SDA, SCL.
//
// Revision 1.4  2019/01/06 02:54:48  michaelmeissner
// Add featherwing pins.
//
// Revision 1.3  2019/01/06 00:40:04  michaelmeissner
// Explicitly turn off eeprom.
//
// Revision 1.2  2019/01/05 07:38:09  michaelmeissner
// Add PIN_NEOPIXEL2
//
// Revision 1.1  2019/01/05 04:30:45  michaelmeissner
// Initial version.
//
