// -*- arduino -*-
//
// Meissner configuration file for the Adafruit Feather M4 Express
// microprocesor.
//
// Copyright (C) 2013-2022, Michael Meissner (arduino@the-meissners.org)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#ifndef _MEISSNER_CONFIG_FEATHER_M4_H_
#define _MEISSNER_CONFIG_FEATHER_M4_H_		1
#define PROCESSOR_RP2040			1			// RP2040
#define PROCESSOR_NAME				"Adafruit Feather RP2040"

#ifndef PIN_LED
#define PIN_LED					13			// Pin the built-in LED is on
#endif

#define PIN_DAC					A0			// DAT speaker
#define PIN_SDA					SDA			// Pin for i2c SDC
#define PIN_SCL					SCL			// Pin for i2c SCL

#define USE_SERIAL_OUTPUT			1			// We can do output to Serial
#define USE_EEPROM				0			// No eeprom
#define USE_EEPROM_LIB				0			// No eeprom

// Featherwing definitions
#define PIN_FEATHERWING_A0			A0			// Analog pins 0..5 on left side (16-pin side)
#define PIN_FEATHERWING_A1			A1
#define PIN_FEATHERWING_A2			A2
#define PIN_FEATHERWING_A3			A3
#define PIN_FEATHERWING_A4			24
#define PIN_FEATHERWING_A5			25
#define PIN_FEATHERWING_MISO			MISO			// SPI pins
#define PIN_FEATHERWING_MOSI			MOSI
#define PIN_FEATHERWING_SCK			SCK
#define PIN_FEATHERWING_UART_RX			PIN_SERIAL1_RX		// UART pins
#define PIN_FEATHERWING_UART_TX			PIN_SERIAL1_TX

#define PIN_FEATHERWING_D0			13			// Digital pins 0..6 on right side (12-pin side)
#define PIN_FEATHERWING_D1			12
#define PIN_FEATHERWING_D2			11
#define PIN_FEATHERWING_D3			10
#define PIN_FEATHERWING_D4			9
#define PIN_FEATHERWING_D5			6
#define PIN_FEATHERWING_D6			5
#define PIN_FEATHERWING_SCL			SCL
#define PIN_FEATHERWING_SDA			SDA

#define PIN_INTERNAL_NEOPIXEL			16			// internal single neopixel
#define PIN_INTERNAL_NEOPIXEL_NUM		1			// just one neopixel

#endif	/* _MEISSNER_CONFIG_FEATHER_M4_H_  */


// HISTORY
// $Log: Meissner_Config_Feather_RP2040.h,v $
// Revision 1.2  2022/03/14 02:17:30  michaelmeissner
// Don't set PIN_NEOPIXEL here; PIN_NEOPIXEL_SIGNAL -> PIN_INTERNAL_NEOPIXEL; Add PIN_INTERNAL_NEOPIXEL_NUM.
//
// Revision 1.1  2022/01/18 17:13:57  michaelmeissner
// Initial version.
//
