// -*- arduino -*-
//
// Meissner configuration file for the Adafruit SAMD (M0, M4) processors that
// are in the feather form factor.
//
// Copyright (C) 2013-2022, Michael Meissner (arduino@the-meissners.org)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#ifndef _MEISSNER_CONFIG_FEATHERWING_SAMD_H_
#define _MEISSNER_CONFIG_FEATHERWING_SAMD_H_	1

#ifndef PIN_LED
#define PIN_LED					13		// Pin the built-in LED is on
#endif

#define PIN_DAC					DAC0		// DAT speaker
#define PIN_SDA					SDA		// Pin for i2c SDC
#define PIN_SCL					SCL		// Pin for i2c SCL

#define USE_SERIAL_OUTPUT			1		// We can do output to Serial
#define USE_EEPROM				0		// No eeprom
#define USE_EEPROM_LIB				0		// No eeprom

// Featherwing definitions
#define PIN_FEATHERWING_A0			A0		// Analog pins 0..5 on left side (16-pin side)
#define PIN_FEATHERWING_A1			A1
#define PIN_FEATHERWING_A2			A2
#define PIN_FEATHERWING_A3			A3
#define PIN_FEATHERWING_A4			A4
#define PIN_FEATHERWING_A5			A5
#define PIN_FEATHERWING_MISO			MISO		// SPI pins
#define PIN_FEATHERWING_MOSI			MOSI
#define PIN_FEATHERWING_SCK			SCK
#define PIN_FEATHERWING_UART_RX			PIN_SERIAL1_RX	// UART pins
#define PIN_FEATHERWING_UART_TX			PIN_SERIAL1_TX

#define PIN_FEATHERWING_D0			13		// Digital pins 0..6 on right side (12-pin side)
#define PIN_FEATHERWING_D1			12
#define PIN_FEATHERWING_D2			11
#define PIN_FEATHERWING_D3			10
#define PIN_FEATHERWING_D4			9
#define PIN_FEATHERWING_D5			6
#define PIN_FEATHERWING_D6			5
#define PIN_FEATHERWING_SCL			SCL
#define PIN_FEATHERWING_SDA			SDA

#endif	/* _MEISSNER_CONFIG_FEATHERWING_SAMD_H_  */


// HISTORY
// $Log: Meissner_Config_Featherwing_SAMD.h,v $
// Revision 1.3  2022/01/18 17:17:51  michaelmeissner
// Update copyright year.
//
// Revision 1.2  2020/01/28 04:58:24  michaelmeissner
// Update copyright year.
//
// Revision 1.1  2019/01/06 05:28:07  michaelmeissner
// Initial version.
//
