// -*- arduino -*-
// Meissner configuration file for the Adafruit Hallowing microprocessor.
//
// Copyright (C) 2013-2022, Michael Meissner (arduino@the-meissners.org)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#ifndef _MEISSNER_CONFIG_HALLOWING_H_
#define _MEISSNER_CONFIG_HALLOWING_H_		1
#define PROCESSOR_SAMD_ZERO			1		// circuitexpress, hallowing
#define PROCESSOR_HALLOWING			1
#define PROCESSOR_NAME				"Adafruit Hallowing M0"

#define PIN_SENSOR				3		// pin connected to the sensor jack
#define PIN_EXTERNAL_NEOPIXEL			4		// external neopixel jack
#define PIN_INTERNAL_NEOPIXEL			8		// internal neopixel
#define PIN_INTERNAL_NEOPIXEL_NUM		1		// just one internal neopixel

// Common feather SAMD definitions.
#include "Meissner_Config_Featherwing_SAMD.h"

#endif	/* _MEISSNER_CONFIG_HALLOWING_H_  */


// HISTORY
// $Log: Meissner_Config_Hallowing.h,v $
// Revision 1.9  2022/03/14 02:32:16  michaelmeissner
// PIN_NEOPIXEL -> PIN_EXTERNAL_NEOPIXEL; PIN_NEOPIXEL_SINGLE -> PIN_INTERNAL_NEOPIXEL; Add PIN_INTERNAL_NEOPIXEL_NUM.
//
// Revision 1.8  2022/01/18 17:20:51  michaelmeissner
// Update copyright year.
//
// Revision 1.7  2020/01/28 04:58:44  michaelmeissner
// Update copyright year.
//
// Revision 1.6  2019/01/14 02:14:24  michaelmeissner
// Update copyright.
//
// Revision 1.5  2019/01/06 14:29:07  michaelmeissner
// PIN_NEOPIXEL2 -> PIN_NEOPIXEL_SINGLE
//
// Revision 1.4  2019/01/06 05:29:11  michaelmeissner
// Move common featherwing stuff to separate file.
//
// Revision 1.3  2019/01/06 05:17:00  michaelmeissner
// Add featherwing SCK, SDA, SCL.
//
// Revision 1.2  2019/01/06 02:56:04  michaelmeissner
// Add featherwing pins.
//
// Revision 1.1  2018/12/27 06:03:31  michaelmeissner
// Initial version.
//
