// -*- arduino -*-
//
// Meissner configuration file for the Adafruit Hallowing M4 microprocesor.
//
// Copyright (C) 2013-2022, Michael Meissner (arduino@the-meissners.org)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#ifndef _MEISSNER_CONFIG_HALLOWING_M4_H_
#define _MEISSNER_CONFIG_HALLOWING_M4_H_	1
#define PROCESSOR_SAMD_M4			1			// Hallowing is a M4
#define PROCESSOR_NAME				"Adafruit Hallowing M4"

#define PIN_INTERNAL_NEOPIXEL			8			// 4 internal neopixels
#define PIN_INTERNAL_NEOPIXEL_NUM		4			// 4 internal neopixels

// Common feather SAMD definitions.
#include "Meissner_Config_Featherwing_SAMD.h"

#endif	/* _MEISSNER_CONFIG_HALLOWING_M4_H_  */


// HISTORY
// $Log: Meissner_Config_Hallowing_M4.h,v $
// Revision 1.2  2022/09/09 02:50:00  michaelmeissner
// Fix typo in name.
//
// Revision 1.1  2022/09/09 02:49:03  michaelmeissner
// Initial version.
//
