// -*- arduino -*-
//
// Meissner configuration file for the Adafruit Feather M4 Express
// microprocesor.
//
// Copyright (C) 2013-2022, Michael Meissner (arduino@the-meissners.org)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#ifndef _MEISSNER_CONFIG_MATRIX_PORTAL_H_
#define _MEISSNER_CONFIG_MATRIX_PORTAL_H_	1
#define PROCESSOR_SAMD_M4			1
#define PROCESSOR_NAME				"Adafruit Matrix Portal M4"

#ifndef PIN_LED
#define PIN_LED					13		// Pin the built-in LED is on
#endif

#define PIN_DAC					DAC0		// DAT speaker
#define PIN_SDA					SDA		// Pin for i2c SDC
#define PIN_SCL					SCL		// Pin for i2c SCL
#define PIN_RX					0		// Pin for the Serial1 RX port
#define PIN_TX					1		// Pin for the Serial1 TX port
#define PIN_UP					2		// Up pin on the board
#define PIN_DOWN				3		// Down pin on the board
#define PIN_INTERNAL_NEOPIXEL			4		// Single status neopixel
#define PIN_INTERNAL_NEOPIXEL_NUM		1		// just one internal neopixel

#define I2C_LIS3DH				0x19		// Override default I2C address for the LIS3DH sensor.

#define USE_SERIAL_OUTPUT			1		// We can do output to Serial
#define USE_EEPROM				0		// No eeprom
#define USE_EEPROM_LIB				0		// No eeprom

#endif	/* _MEISSNER_CONFIG_MATRIX_PORTAL_H_  */


// HISTORY
// $Log: Meissner_Config_Matrix_Portal.h,v $
// Revision 1.6  2022/03/14 02:33:18  michaelmeissner
// PIN_NEOPIXEL_SINGLE -> PIN_INTERNAL_NEOPIXEL; Add PIN_INTERNAL_NEOPIXEL_NUM.
//
// Revision 1.5  2022/01/18 17:16:52  michaelmeissner
// Update copyright year.
//
// Revision 1.4  2020/12/05 23:50:07  michaelmeissner
// Change status neopixel name.
//
// Revision 1.3  2020/12/05 23:48:13  michaelmeissner
// Add serial, up/down pins; Add LIS3DH address.
//
// Revision 1.2  2020/11/27 08:04:16  michaelmeissner
// Don't use Featherwing defaults.
//
// Revision 1.1  2020/11/27 08:02:02  michaelmeissner
// Initial version.
//
