
// From defragster, post #421
// https://forum.pjrc.com/threads/21680-New-I2C-library-for-Teensy3?p=116089&viewfull=1#post116089
#include <Meissner_Config.h>

#if USE_SERIAL_OUTPUT && !NO_SERIAL
extern void CPUspecs (bool pin_config			= true,
			int  pin_led			= PIN_LED,
			int  pin_neopixel		= PIN_NEOPIXEL,
			int  pin_neopixel_single	= PIN_NEOPIXEL_SINGLE,
			int  pin_button			= PIN_BUTTON,
			int  pin_random			= PIN_RANDOM,
			int  pin_unused			= PIN_UNUSED,
			int  pin_dac			= PIN_DAC,
			int  pin_dac1			= PIN_DAC1,
			int  pin_temp			= PIN_TEMP_SENSOR,
			int  pin_light			= PIN_LIGHT_SENSOR,
			int  pin_dotstar_data		= PIN_INTERNAL_DOTSTAR_DATA,
			int  pin_dotstar_clock		= PIN_INTERNAL_DOTSTAR_CLOCK);

#else
#define CPUspecs()
#endif

#ifdef PROCESSOR_TEENSY_4_X
extern float GetTemp_C (void);
extern float GetTemp_F (void);

#else
#define GetTemp_C() 0.0f
#define GetTemp_F() 0.0f
#endif

// HISTORY
// $Log: Meissner_Cpu_Info.h,v $
// Revision 1.9  2022/08/08 04:57:24  michaelmeissner
// Add internal dotstar data/clock.
//
// Revision 1.8  2019/11/26 14:55:16  michaelmeissner
// Add GetTemp_{C,F} on Teensy 4.0.
//
// Revision 1.7  2019/01/11 03:17:38  michaelmeissner
// Dac2 -> Dac1.
//
// Revision 1.6  2019/01/06 14:32:31  michaelmeissner
// Add pin_neopixel_single, pin_dac2
//
// Revision 1.5  2018/12/27 14:37:11  michaelmeissner
// If no serial output, don't emit CPUspecs call.
//
// Revision 1.4  2018/12/27 14:33:31  michaelmeissner
// Pass more pins as arguments.
//
// Revision 1.3  2018/12/27 06:50:17  michaelmeissner
// Pass various pin defaults from the caller.
//
// Revision 1.2  2016/10/22 22:18:38  michaelmeissner
// Add option to suppress printing PIN_<xxx>
//
// Revision 1.1  2016/09/22 11:48:06  michaelmeissner
// Initial version.
//
