#include <Meissner_Config.h>

// Pull in the common pins.
// #define NO_WINK		1
// #define NO_RIGHT_WINK	1
// #define NO_LEFT_WINK		1
// #define NO_CS		1
// #define NO_RIGHT_CS		1
// #define NO_LEFT_CS		1
   #define SINGLE_EYE		1

#include <Uncanny_Eyes_Default_Eyes.h>

#include <Uncanny_Eyes.h>

// Support for Uncanny Eyes with a single 240x240 round display using the
// GC9A01A chip set.
//
// Some round displays found via google search:
// https://www.waveshare.com/1.28inch-lcd-module.htm
// https://shop.pimoroni.com/products/1-3-spi-colour-round-lcd-240x240-breakout?variant=39295294341203
// https://www.amazon.com/Display-Interface-Resolution-Instrument-Equipment/dp/B08G7Y87VY
// https://www.amazon.com/1-28inch-Display-Resolution-Interface-Raspberry/dp/B08VGT2T42?th=1
// https://www.buydisplay.com/1-28-inch-tft-lcd-display-240x240-round-circle-screen-for-smart-watch

// EYE LIST ----------------------------------------------------------------

// This table contains ONE LINE PER EYE.  The table MUST be present with
// this name and contain ONE OR MORE lines.  Each line contains THREE items:
// a pin number for the corresponding TFT/OLED display's SELECT line, a pin
// pin number for that eye's "wink" button (or -1 if not used), and a screen
// rotation value (0-3) for that eye.

#define L_ROT	0			// only display, rotation
#define L_INIT	0			// only display, initialization for display with CS pin

const eyeInfo_t eyeInfo[] = {

  //CS    DC    MOSI    SCK    RST    WINK    ROT    INIT
  { L_CS, L_DC, L_MOSI, L_SCK, L_RST, L_WINK, L_ROT, L_INIT },
};

const size_t	NUM_EYES	= (sizeof eyeInfo / sizeof eyeInfo[0]);
const int	DISPLAY_SIZE	= 240;		// size of the display.


// Include all of the driver code here.
#include <Uncanny_Eyes_GC9A01A.h>


void loop ()
{
  inner_loop ();
}

void setup ()
{
  inner_setup (image_default_large ());
}


// HISTORY
// $Log: Uncanny_Eyes_GC9A01A_1eye.ino,v $
// Revision 1.6  2022/10/03 02:35:57  michaelmeissner
// Update comment.
//
// Revision 1.5  2022/10/02 21:29:19  michaelmeissner
// Move definitions of input settings to Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.4  2022/10/02 06:06:15  michaelmeissner
// Switch to use Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.3  2022/09/18 01:33:21  michaelmeissner
// Update comments.
//
// Revision 1.2  2022/09/18 00:58:07  michaelmeissner
// Just do one eye.
//
// Revision 1.1  2022/09/18 00:49:14  michaelmeissner
// Iniital version.
//
