#include <Meissner_Config.h>

// Pull in the common pins.
// #define NO_WINK		1
// #define NO_RIGHT_WINK	1
// #define NO_LEFT_WINK		1
// #define NO_CS		1
// #define NO_RIGHT_CS		1
// #define NO_LEFT_CS		1
// #define SINGLE_EYE		1
#include <Uncanny_Eyes_Default_Eyes.h>

#include <Uncanny_Eyes.h>

// Support for Uncanny Eyes with a two 240x240 round display using the
// GC9A01A chip set.
//
// Some round displays found via google search:
// https://www.waveshare.com/1.28inch-lcd-module.htm
// https://shop.pimoroni.com/products/1-3-spi-colour-round-lcd-240x240-breakout?variant=39295294341203
// https://www.amazon.com/Display-Interface-Resolution-Instrument-Equipment/dp/B08G7Y87VY
// https://www.amazon.com/1-28inch-Display-Resolution-Interface-Raspberry/dp/B08VGT2T42?th=1
// https://www.buydisplay.com/1-28-inch-tft-lcd-display-240x240-round-circle-screen-for-smart-watch

//#define SINGLE_EYE	1

// GRAPHICS SETTINGS (appearance of eye) -----------------------------------

// If using a SINGLE EYE, you might want this next line enabled, which
// uses a simpler "football-shaped" eye that's left/right symmetrical.
// Default shape includes the caruncle, creating distinct left/right eyes.
// Otherwise your choice, standard is asymmetrical
//#define SYMMETRICAL_EYELID

// EYE LIST ----------------------------------------------------------------

// This table contains ONE LINE PER EYE.  The table MUST be present with
// this name and contain ONE OR MORE lines.  Each line contains THREE items:
// a pin number for the corresponding TFT/OLED display's SELECT line, a pin
// pin number for that eye's "wink" button (or -1 if not used), and a screen
// rotation value (0-3) for that eye.

#define L_ROT	0			// left  display, rotation
#define L_INIT	0			// left  display, initialization for display with CS pin
#define R_ROT	0			// right display, rotation
#define R_INIT	0			// right display, initialization for display with CS pin

const eyeInfo_t eyeInfo[] = {

  //CS    DC    MOSI    SCK    RST    WINK    ROT    INIT
  { L_CS, L_DC, L_MOSI, L_SCK, L_RST, L_WINK, L_ROT, L_INIT },
  { R_CS, R_DC, R_MOSI, R_SCK, R_RST, R_WINK, R_ROT, R_INIT },
//#endif
};

const size_t	NUM_EYES	= (sizeof eyeInfo / sizeof eyeInfo[0]);
const int	DISPLAY_SIZE	= 240;		// size of the display.


// Include all of the driver code here.
#include <Uncanny_Eyes_GC9A01A.h>


void loop ()
{
  inner_loop ();
}

void setup ()
{
  inner_setup (image_default_large ());
}


// HISTORY
// $Log: Uncanny_Eyes_GC9A01A_2eyes.ino,v $
// Revision 1.17  2022/10/02 21:27:26  michaelmeissner
// Move definitions of input settings to Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.16  2022/10/02 06:04:55  michaelmeissner
// Switch to use Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.15  2022/09/18 01:32:24  michaelmeissner
// Update comments.
//
// Revision 1.14  2022/09/18 00:50:25  michaelmeissner
// Update comment.
//
// Revision 1.13  2022/09/17 15:13:34  michaelmeissner
// Delete commented out #include.
//
// Revision 1.12  2022/09/17 15:09:05  michaelmeissner
// Spacing.
//
// Revision 1.11  2022/09/17 15:08:08  michaelmeissner
// Add some blank lines.
//
// Revision 1.10  2022/09/17 14:40:53  michaelmeissner
// Switch over to new Uncanny_Eyes library.
//
// Revision 1.9  2022/09/16 20:40:43  michaelmeissner
// Comment out Teensy 3.5/3.6 since you need Teensy 4.0/4.1 to build.
//
// Revision 1.8  2022/09/16 11:25:10  michaelmeissner
// Use Image_combined to pass all of the eye information.
//
// Revision 1.7  2022/09/16 09:33:40  michaelmeissner
// Add Image structure to begin moving the images to being dynamic.
//
// Revision 1.6  2022/09/15 03:17:57  michaelmeissner
// Set wink pins to 30, 31.
//
// Revision 1.5  2022/09/14 02:53:24  michaelmeissner
// Make DISPLAY_BACKLIGHT, BACKLIGHT_MAX const int.
//
// Revision 1.4  2022/09/14 02:42:19  michaelmeissner
// Make DISPLAY_SIZE a const int.
//
// Revision 1.3  2022/09/14 02:19:08  michaelmeissner
// Spacing.
//
// Revision 1.2  2022/09/14 02:17:05  michaelmeissner
// Update code to allow configuration in the .ino file.
//
// Revision 1.1  2022/09/14 01:00:37  michaelmeissner
// Initial version.
//
