#include <Meissner_Config.h>

// Pull in the common pins.
// #define NO_WINK		1
// #define NO_RIGHT_WINK	1
// #define NO_LEFT_WINK		1
// #define NO_CS		1
// #define NO_RIGHT_CS		1
// #define NO_LEFT_CS		1
   #define SINGLE_EYE		1

#include <Uncanny_Eyes_Default_Eyes.h>

#include <Uncanny_Eyes.h>

// Uncanny Eyes for 1 Adafruit 240x240 display that has a CS pin and uses
// the ST7789 chip.
//
// Adafruit 1.3"  240x240: https://www.adafruit.com/product/4313 (tested)
// Adafruit 1.54" 240x240: https://www.adafruit.com/product/3787

//#define SERIAL_tt Serial // Send debug_tt output here. Must have SERIAL_tt.begin( ## )
//#include "debug_tt.h"
// Pin selections here are based on the original Adafruit Learning System
// guide for the Teensy 3.x project.  Some of these pin numbers don't even
// exist on the smaller SAMD M0 & M4 boards, so you may need to make other
// selections:

// EYE LIST ----------------------------------------------------------------

// This table contains ONE LINE PER EYE.  The table MUST be present with
// this name and contain ONE OR MORE lines.  Each line contains THREE items:
// a pin number for the corresponding TFT/OLED display's SELECT line, a pin
// pin number for that eye's "wink" button (or -1 if not used), and a screen
// rotation value (0-3) for that eye.

#define L_ROT	0			// only display, rotation
#define L_INIT	0			// only display, initialization for display with CS pin

const eyeInfo_t eyeInfo[] = {

  //CS    DC    MOSI    SCK    RST    WINK    ROT    INIT
  { L_CS, L_DC, L_MOSI, L_SCK, L_RST, L_WINK, L_ROT, L_INIT },
};

const size_t	NUM_EYES	= (sizeof eyeInfo / sizeof eyeInfo[0]);
const int	DISPLAY_SIZE	= 240;		// size of the display.


// Include all of the driver code here.
#include <Uncanny_Eyes_ST7789.h>


void loop ()
{
  inner_loop ();
}

void setup ()
{
  inner_setup (image_default_large ());
}


// HISTORY
// $Log: Uncanny_Eyes_ST7789_1eye.ino,v $
// Revision 1.8  2022/10/03 02:36:38  michaelmeissner
// Update comment.
//
// Revision 1.7  2022/10/03 02:35:03  michaelmeissner
// Eliminate duplicate #define.
//
// Revision 1.6  2022/10/02 21:41:35  michaelmeissner
// Move definitions of input settings to Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.5  2022/10/02 06:02:40  michaelmeissner
// Switch to use Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.4  2022/10/02 05:15:43  michaelmeissner
// Change Wink pins to 31/32 to accomidate SPI1 CS-B now being 30.
//
// Revision 1.3  2022/09/18 01:45:35  michaelmeissner
// Clear initialization flag.
//
// Revision 1.2  2022/09/18 00:58:57  michaelmeissner
// Just do one eye.
//
// Revision 1.1  2022/09/18 00:13:41  michaelmeissner
// Initial version.
//
