#include <Meissner_Config.h>

// Pull in the common pins.
// #define NO_WINK		1
// #define NO_RIGHT_WINK	1
// #define NO_LEFT_WINK		1
   #define NO_CS		1
// #define NO_RIGHT_CS		1
// #define NO_LEFT_CS		1
   #define SINGLE_EYE		1

#include <Uncanny_Eyes_Default_Eyes.h>

#include <Uncanny_Eyes.h>

// Define Uncanny Eyes for 1 240x240 square display that doesn't have a CS pin.

// GRAPHICS SETTINGS (appearance of eye) -----------------------------------

// If using a SINGLE EYE, you might want this next line enabled, which
// uses a simpler "football-shaped" eye that's left/right symmetrical.
// Default shape includes the caruncle, creating distinct left/right eyes.
// Otherwise your choice, standard is asymmetrical
//#define SYMMETRICAL_EYELID

// EYE LIST ----------------------------------------------------------------

// This table contains ONE LINE PER EYE.  The table MUST be present with
// this name and contain ONE OR MORE lines.  Each line contains THREE items:
// a pin number for the corresponding TFT/OLED display's SELECT line, a pin
// pin number for that eye's "wink" button (or -1 if not used), and a screen
// rotation value (0-3) for that eye.

#define L_ROT	0			// only display, rotation
#define L_INIT	0			// only display, initialization for display with CS pin

const eyeInfo_t eyeInfo[] = {

  //CS    DC    MOSI    SCK    RST    WINK    ROT    INIT
  { L_CS, L_DC, L_MOSI, L_SCK, L_RST, L_WINK, L_ROT, L_INIT },
//#endif
};

const size_t	NUM_EYES	= (sizeof eyeInfo / sizeof eyeInfo[0]);
const int	DISPLAY_SIZE	= 240;		// size of the display.


// Include all of the driver code here.
#include <Uncanny_Eyes_ST7789.h>


void loop ()
{
  inner_loop ();
}

void setup ()
{
  inner_setup (image_default_large ());
}


// HISTORY
// $Log: Uncanny_Eyes_ST7789_1eye_nocs.ino,v $
// Revision 1.7  2022/10/02 21:42:52  michaelmeissner
// Move definitions of input settings to Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.6  2022/10/02 06:04:01  michaelmeissner
// Switch to use Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.5  2022/10/02 05:16:32  michaelmeissner
// Change Wink pins to 31/32 to accomidate SPI1 CS-B now being 30.
//
// Revision 1.4  2022/09/18 01:46:00  michaelmeissner
// Clear initialization flag.
//
// Revision 1.3  2022/09/18 01:06:37  michaelmeissner
// Fix using no CS pin.
//
// Revision 1.2  2022/09/18 00:59:25  michaelmeissner
// Just do one eye.
//
// Revision 1.1  2022/09/18 00:12:20  michaelmeissner
// Initial version.
//
