#include <Meissner_Config.h>

// Pull in the common pins.
// #define NO_WINK		1
// #define NO_RIGHT_WINK	1
// #define NO_LEFT_WINK		1
// #define NO_CS		1
// #define NO_RIGHT_CS		1
   #define NO_LEFT_CS		1
// #define SINGLE_EYE		1
#include <Uncanny_Eyes_Default_Eyes.h>

#include <Uncanny_Eyes.h>

// Define Uncanny Eyes for 2 240x240 displays where the left eye is an Adafruit
// display that has a CS pin, and the right eye is a cheaper display without a
// CS pin.

//#define SINGLE_EYE	1

// GRAPHICS SETTINGS (appearance of eye) -----------------------------------

// If using a SINGLE EYE, you might want this next line enabled, which
// uses a simpler "football-shaped" eye that's left/right symmetrical.
// Default shape includes the caruncle, creating distinct left/right eyes.
// Otherwise your choice, standard is asymmetrical
//#define SYMMETRICAL_EYELID

// EYE LIST ----------------------------------------------------------------

// This table contains ONE LINE PER EYE.  The table MUST be present with
// this name and contain ONE OR MORE lines.  Each line contains THREE items:
// a pin number for the corresponding TFT/OLED display's SELECT line, a pin
// pin number for that eye's "wink" button (or -1 if not used), and a screen
// rotation value (0-3) for that eye.

#define L_ROT	0			// left  display, rotation
#define L_INIT	0			// left  display, initialization for display with CS pin
#define R_ROT	0			// right display, rotation
#define R_INIT	0			// right display, initialization for display with CS pin

const eyeInfo_t eyeInfo[] = {

  //CS    DC    MOSI    SCK    RST    WINK    ROT    INIT
  { L_CS, L_DC, L_MOSI, L_SCK, L_RST, L_WINK, L_ROT, L_INIT },
  { R_CS, R_DC, R_MOSI, R_SCK, R_RST, R_WINK, R_ROT, R_INIT },
};

const size_t	NUM_EYES	= (sizeof eyeInfo / sizeof eyeInfo[0]);
const int	DISPLAY_SIZE	= 240;		// size of the display.


// Include all of the driver code here.
#include <Uncanny_Eyes_ST7789.h>


void loop ()
{
  inner_loop ();
}

void setup ()
{
  inner_setup (image_default_large ());
}


// HISTORY
// $Log: Uncanny_Eyes_ST7789_2eyes_mixed.ino,v $
// Revision 1.6  2022/10/02 21:40:16  michaelmeissner
// Move definitions of input settings to Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.5  2022/10/02 05:59:50  michaelmeissner
// Switch to use Uncanny_Eyes_Default_Eyes.h.
//
// Revision 1.4  2022/09/18 01:44:59  michaelmeissner
// Clear initialization flag.
//
// Revision 1.3  2022/09/18 01:31:06  michaelmeissner
// Update comments.
//
// Revision 1.2  2022/09/18 00:11:14  michaelmeissner
// Update comment.
//
// Revision 1.1  2022/09/18 00:06:53  michaelmeissner
// Initial version.
//
