#include <Meissner_Config.h>

// Pull in the common pins.
// #define NO_WINK		1
// #define NO_RIGHT_WINK	1
// #define NO_LEFT_WINK		1
// #define NO_CS		1
// #define NO_RIGHT_CS		1
// #define NO_LEFT_CS		1
// #define SINGLE_EYE		1
#include <Uncanny_Eyes_Default_Eyes.h>

#include <Uncanny_Eyes.h>

// Uncanny Eyes for 2 Adafruit 240x240 displays that both have CS pins and use
// the ST7789 chip.
//
// Adafruit 1.3"  240x240: https://www.adafruit.com/product/4313 (tested)
// Adafruit 1.54" 240x240: https://www.adafruit.com/product/3787

// Include ST7735_t3 here before including Uncanny_Eyes_TFT128.h in order to
// get INITR_144GREENTAB defined.
#include <ST7735_t3.h>

// EYE LIST ----------------------------------------------------------------

// This table contains ONE LINE PER EYE.  The table MUST be present with
// this name and contain ONE OR MORE lines.  Each line contains THREE items:
// a pin number for the corresponding TFT/OLED display's SELECT line, a pin
// pin number for that eye's "wink" button (or -1 if not used), and a screen
// rotation value (0-3) for that eye.

#define L_ROT	0			// left  display, rotation
#define L_INIT	INITR_144GREENTAB	// left  display, initialization for display
#define R_ROT	0			// right display, rotation
#define R_INIT	INITR_144GREENTAB	// right display, initialization for display

const eyeInfo_t eyeInfo[] = {

  //CS    DC    MOSI    SCK    RST    WINK    ROT    INIT
  { L_CS, L_DC, L_MOSI, L_SCK, L_RST, L_WINK, L_ROT, L_INIT },
  { R_CS, R_DC, R_MOSI, R_SCK, R_RST, R_WINK, R_ROT, R_INIT },
//#endif
};

const size_t	NUM_EYES	= (sizeof eyeInfo / sizeof eyeInfo[0]);
const int	DISPLAY_SIZE	= 128;		// size of the display.


// Include all of the driver code here.
#include <Uncanny_Eyes_TFT128.h>


void loop ()
{
  inner_loop ();
}

void setup ()
{
  inner_setup (image_default_128x128 ());
}


// HISTORY
// $Log: Uncanny_Eyes_TFT128_2eyes.ino,v $
// Revision 1.2  2022/10/03 03:20:54  michaelmeissner
// Move setting SPI_FREQ to Uncanny_Eyes_TFT128.h.
//
// Revision 1.1  2022/10/03 03:11:27  michaelmeissner
// Initial version.
//
